import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';

@immutable
abstract class MemberShipState extends Equatable {
  MemberShipState([List props = const []]) : super();

  @override
  // TODO: implement props
  List<Object> get props => [];
}

class InitialMemberShipState extends MemberShipState {}

class MemberShipLoading extends MemberShipState {
  @override
  String toString() => 'MemberShipLoading';
}

class MemberShipSuccess extends MemberShipState {
  @override
  String toString() {
    return 'MemberShipSuccess';
  }
}

class MemberShipFailure extends MemberShipState {
  final String error;

  MemberShipFailure(this.error);

  @override
  String toString() => 'MemberShipFailure { error: $error }';
}
